describe("AddEffectToUserInventory", () => {
    describe("GIVEN effect is in database", () => {
        test.todo("EXPECT effect to be updated");

        test.todo("EXPECT effect to be saved");
    });

    describe("GIVEN effect is not in database", () => {
        test.todo("EXPECT effect to be created");

        test.todo("EXPECT effect to be saved");
    });
});

describe("UseEffect", () => {
    describe("GIVEN effect is in database", () => {
        describe("GIVEN effect.WhenExpires is undefined", () => {
            test.todo("EXPECT false returned");
        });

        describe("GIVEN now is before effect.WhenExpires", () => {
            test.todo("EXPECT false returned");
        });

        describe("GIVEN currently used effect is inactive", () => {
            test.todo("EXPECT UseEffect to be called");

            test.todo("EXPECT effect to be saved");

            test.todo("EXPECT true returned");
        });
    });

    describe("GIVEN effect is not in database", () => {
        test.todo("EXPECT false returned");
    });

    describe("GIVEN effect.Unused is 0", () => {
        test.todo("EXPECT false returned");
    });
});

describe("HasEffect", () => {
    describe("GIVEN effect is in database", () => {
        describe("GIVEN effect.WhenExpires is defined", () => {
            describe("GIVEN now is before effect.WhenExpires", () => {
                test.todo("EXPECT true returned");
            });

            describe("GIVEN now is after effect.WhenExpires", () => {
                test.todo("EXPECT false returned");
            });
        });

        describe("GIVEN effect.WhenExpires is undefined", () => {
            test.todo("EXPECT false returned");
        });
    });

    describe("GIVEN effect is not in database", () => {
        test.todo("EXPECT false returned");
    });
});
